import { Repository } from "typeorm";
import { Page } from "../../common/page/page.entity";
export declare class PageService {
    private readonly pageRepository;
    constructor(pageRepository: Repository<Page>);
    findActive(lang?: string): Promise<Page[]>;
    findOne(id: number, lang?: string): Promise<Page>;
}
